package com.chinaitop.agile.feign.service;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

@FeignClient(value = "depot-basic")
public interface BasicEnumFeignService {

	/**
	 * 获取一条字典数据
	 * @param username
	 * @param password
	 * @return
	 */
	@RequestMapping(value = "/Enum/findByEnum", produces = MediaType.APPLICATION_JSON_VALUE, method=RequestMethod.GET)
	String getEnumData(@RequestParam("id") Integer id);

	/**
	 * 根据单位查找单位下的所有仓房信息(统一对外接口)
	 *
	 * @param unitId 单位ID
	 * @return
	 */
	@RequestMapping(value = "/Storehouse/getStorehouseList", produces = MediaType.APPLICATION_JSON_VALUE, method=RequestMethod.GET)
	Map<String, Object> getStorehouseList(@RequestParam("unitId") Integer unitId, @RequestParam("libraryType") String libraryType);
}
