package com.chinaitop.agile.mapper;

import com.chinaitop.agile.model.DataKcglKcswDefault;
import com.chinaitop.agile.model.DataKcglKcswDefaultExample;
import com.chinaitop.agile.model.DataKcswScedule;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface DataKcglKcswDefaultMapper {
    int countByExample(DataKcglKcswDefaultExample example);

    int deleteByExample(DataKcglKcswDefaultExample example);

    int deleteByPrimaryKey(String dataid);

    int insert(DataKcglKcswDefault record);

    int insertSelective(DataKcglKcswDefault record);

    List<DataKcglKcswDefault> selectByExample(DataKcglKcswDefaultExample example);

    List<DataKcglKcswDefault> getEmptyPolice(DataKcglKcswDefaultExample example);

    DataKcglKcswDefault selectByPrimaryKey(String dataid);

    int updateByExampleSelective(@Param("record") DataKcglKcswDefault record, @Param("example") DataKcglKcswDefaultExample example);

    int updateByExample(@Param("record") DataKcglKcswDefault record, @Param("example") DataKcglKcswDefaultExample example);

    int updateByPrimaryKeySelective(DataKcglKcswDefault record);

    int updateByPrimaryKey(DataKcglKcswDefault record);

    /**
     * 粮食品种柱状图
     *
     * @param orgId 单位ID
     * @return
     */
    List<DataKcswScedule> countByLspz(Map<String, Object> map);

    /**
     * 粮食等级分类饼图
     *
     * @param orgId 单位ID
     * @return
     */
    List<DataKcswScedule> countByDj(Map<String, Object> map);

    /**
     * 查询库存/库容比
     *
     * @param map
     * @return
     */
    String countByBl(DataKcglKcswDefaultExample example);

    /**
     * 库存数量管理查询列表
     * @param map
     * @return
     */
    List<DataKcglKcswDefault> getList(Map<String, Object> map);

    /**
     * 查询选择条件下的库存总量
     *
     * @param map
     * @return
     */
    String queryKczl(Map<String, Object> map);

    List<DataKcglKcswDefault> queryLKNewData(Map<String, Object> map);

    List<DataKcglKcswDefault> getHouseOrWareList(Map<String, Object> modelMap);

    List<Map<String, Object>> countByPz();

    List<Map<String, Object>> countByXz();

    List<Map<String, Object>> countByYear();

    List<Map<String, Object>> countByCity();

	List<DataKcglKcswDefault> getMassageBych(Map<String, Object> modelMap);

	List<Map<String, Object>> getDateByHouseIds(Map<String, Object> modelMap);

    List<DataKcglKcswDefault> findListOrRcsj(DataKcglKcswDefault kcsw);

    Map<String, Object> getFoodStatistics(DataKcglKcswDefaultExample example);
}