package com.chinaitop.agile.service;

import com.chinaitop.agile.model.DataKcglKcswDefault;
import com.chinaitop.agile.model.DataKcglKcswDefaultExample;

import java.util.List;
import java.util.Map;

public interface KcswService {
	/**
	 * 粮食品种柱状图
	 * 
	 * @param orgId 单位ID
	 * @return
	 */
	Map<String, Object> queryByExample(Integer orgId);

	/**
	 * 根据等级饼图
	 * 
	 * @param example
	 * @return
	 */
	Map<String, Object> queryByDj(Integer orgId);

	/**
	 * 库存/库容比仪表盘图
	 * 
	 * @param effectiveCapacity 有效库容
	 * @param map 条件对象
	 * @return
	 */
	String queryByBl(Integer effectiveCapacity, DataKcglKcswDefaultExample example);

	/**
	 * 条件查询库存实物表中的数据
	 * 
	 * @param example
	 * @return
	 */
	List<DataKcglKcswDefault> findCondition(DataKcglKcswDefaultExample example);

	/**
     * 库存数量管理查询列表
     * 
     * @param map
     * @return
     */
	List<DataKcglKcswDefault> getList(Map<String, Object> map);

	List<DataKcglKcswDefault> getEmptyPolice(DataKcglKcswDefaultExample example);

	List<DataKcglKcswDefault> getHouseOrWareList(Map<String, Object> modelMap);

	List<Map<String, Object>> selectCountByPz();

	List<Map<String, Object>> selectCountByXz();

	List<Map<String, Object>> selectCountByYear();

	List<Map<String, Object>> selectCountByCity();
	List<DataKcglKcswDefault> getMassageBych(Map<String, Object> modelMap);

	/**
	 * 查询敏捷平台最新储粮信息
	 * @return
	 */
	List<DataKcglKcswDefault> queryLKNewData(Map<String, Object> map);

	/**
	 * 损益单保存后更新库存
	 * 
	 * @param userInfo 登录对象
	 * @param profitlossSheet 损益单对象
	 */
	void updateKc(String userInfo, String profitlossSheet);

	/**
	 * 根据orgId查询库存数量
	 * @param orgId
	 * @return
	 */
	List<DataKcglKcswDefault> queryKcData(Integer orgId,Integer houseId,Integer warehouseId);

	/**
	 * 查询库存总量
	 * @param example
	 * @return
	 */
	String countByBl(DataKcglKcswDefaultExample example);

	/**
     * 查询选择条件下的库存总量
     * 
     * @param map
     * @return
     */
    String countByBl(Map<String, Object> map);

	List<Map<String, Object>> getDateByHouseIds(Map<String, Object> map);

	/**
	 *查询库存实物表数据和入仓时间
	 * @param kcsw
	 * @return
	 */
	List<DataKcglKcswDefault> findListOrRcsj(DataKcglKcswDefault kcsw);

	Map<String, Object> getFoodStatistics(DataKcglKcswDefaultExample example);
}
